Subject: Re: [Bug] Compat objects not added to CLAR_TEST_PROG

From: "Osipov, Michael (IN IT IN)" <[email-masked]>
Date: Tue, 9 Sep 2025 14:07:34 +0200

On 2025-09-09 12:15, Patrick Steinhardt wrote:
> On Tue, Sep 09, 2025 at 10:00:54AM +0200, Osipov, Michael (IN IT IN) wrote:
>> On 2025-09-09 09:45, Patrick Steinhardt wrote:
>>> diff --git a/clar/sandbox.h b/clar/sandbox.h
>>> index ff43159..5af36f3 100644
>>> --- a/clar/sandbox.h
>>> +++ b/clar/sandbox.h
>>> @@ -164,7 +164,7 @@ static int build_tempdir_path(void)
>>>    	if (mkdir(_clar_tempdir, 0700) != 0)
>>>    		return -1;
>>> -#elif defined(__sun) || defined(__TANDEM)
>>> +#elif defined(__sun) || defined(__TANDEM) || defined(__HPUX)
>>>    	if (mktemp(_clar_tempdir) == NULL)
>>>    		return -1;
>>> The `__HPUX` define is pulled out of thin air, I have no idea what
>>> preprocessor macro that system sets. But something in that spirit may
>>> fix that issue. If so, I'm happy to fix this upstream and then pull
>>> the latest version into Git.
>>
>> I can confirm that your idea works and much better than my idea:
>> root@deblndw002x:/var/tmp/ports/work
>> # diff -ur git-2.51.0 git-2.51.0.patched/ | grep -v "Only in"
>> diff -u -ur git-2.51.0/t/unit-tests/clar/clar/sandbox.h
>> git-2.51.0.patched/t/unit-tests/clar/clar/sandbox.h
>> --- git-2.51.0/t/unit-tests/clar/clar/sandbox.h 2025-08-18 02:35:38 +0200
>> +++ git-2.51.0.patched/t/unit-tests/clar/clar/sandbox.h 2025-09-09 09:50:07
>> +0200
>> @@ -128,7 +128,7 @@
>>
>>          if (mkdir(_clar_path, 0700) != 0)
>>                  return -1;
>> -#elif defined(__sun) || defined(__TANDEM)
>> +#elif defined(__sun) || defined(__TANDEM) || defined(__hpux)
>>          if (mktemp(_clar_path) == NULL)
>>                  return -1;
>>
>> Can you make that happen upstream?
> 
> Merged upstream now via [1]. I'll send a patch to the mailing list later
> today to bring us to the latest version.

Thank you, appreciated! Didn't even know what clar was external.

Michael